Subject: Re: [PATCH 0/2] Better advice on merge

From: Vikrant Varma <[email-masked]>
Date: Thu, 02 May 2013 04:36:46 +0530

On 01-05-2013 23:57, Jonathan Nieder wrote:
>   - It would be nice to add a test under t/
>

Thanks, I'll do that.

>   - Since the first patch isn't useful without or logically separate
>     from the second, this would probably be easier to read as a single
>     patch.
>

They are logically separate, even if the first isn't useful without the 
second. I wanted to segregate the task of defining a helper function 
that corrects the ref name, and changing the parts of the code that 
should use it. The reason the second is separate is that once the first 
is in place, even commands like 'checkout' can use the helper function.